AuditConfiguration (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration
Class AuditConfiguration

    java.lang.Object
      org.hibernate.envers.configuration.AuditConfiguration

    public class AuditConfiguration

extends Object

Constructor Summary
`AuditConfiguration(Configuration cfg)`
`AuditConfiguration(Configuration cfg, ClassLoaderService classLoaderService)`

Method Summary
`AuditEntitiesConfiguration` | `getAuditEntCfg()`
`AuditStrategy` | `getAuditStrategy()`
`EntitiesConfigurations` | `getEntCfg()`
`static AuditConfiguration` | `getFor(Configuration cfg)`
`static AuditConfiguration` | `getFor(Configuration cfg, ClassLoaderService classLoaderService)`
`GlobalConfiguration` | `getGlobalCfg()`
`ModifiedEntityNamesReader` | `getModifiedEntityNamesReader()`
`RevisionInfoNumberReader` | `getRevisionInfoNumberReader()`
`RevisionInfoQueryCreator` | `getRevisionInfoQueryCreator()`
`AuditProcessManager` | `getSyncManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditConfiguration

    public AuditConfiguration(Configuration cfg)

### AuditConfiguration

    public AuditConfiguration(Configuration cfg,
                              ClassLoaderService classLoaderService)

Method Detail

### getAuditEntCfg

    public AuditEntitiesConfiguration getAuditEntCfg()

### getSyncManager

    public AuditProcessManager getSyncManager()

### getGlobalCfg

    public GlobalConfiguration getGlobalCfg()

### getEntCfg

    public EntitiesConfigurations getEntCfg()

### getRevisionInfoQueryCreator

    public RevisionInfoQueryCreator getRevisionInfoQueryCreator()

### getRevisionInfoNumberReader

    public RevisionInfoNumberReader getRevisionInfoNumberReader()

### getModifiedEntityNamesReader

    public ModifiedEntityNamesReader getModifiedEntityNamesReader()

### getAuditStrategy

    public AuditStrategy getAuditStrategy()

### getFor

    public static AuditConfiguration getFor(Configuration cfg)

### getFor

    public static AuditConfiguration getFor(Configuration cfg,
                                            ClassLoaderService classLoaderService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.